﻿using System;
using System.IO;
using System.Windows.Forms;
namespace CuteMP4
{
    public partial class Form_init : Form
    {
        public double init_display_size = 1.0;
       // public string lastfileLog;
        public bool newfileopen = false;
        public string continueFileName = "";
        private string continueSafeFileName ="";
        public string continueFileDirectory = "";
        private string strPosition = "";
        public double continuePosition = 0d;
        private string strDuration = "";
        private TimeSpan mediaDuration;
        public bool exitProgram = true;
        public Form_init(string lastfileLog)
        {
            InitializeComponent();
            newfileopen = true;
            if (File.Exists(lastfileLog))
            {
                //read lastfile.log set below vale.
                StreamReader logfile = new StreamReader (lastfileLog, System.Text.Encoding.GetEncoding("shift_jis"));
                continueFileName = logfile.ReadLine();
                continueFileDirectory = Path.GetDirectoryName(continueFileName);
                continueSafeFileName = logfile.ReadLine();
                strPosition = logfile.ReadLine();
                strDuration = logfile.ReadLine();
                logfile.Close();
                if (File.Exists(continueFileName))
                {
                    continuePosition = double.Parse(strPosition);
                     if (continuePosition < 0 || continuePosition > 1)
                    {
                        continuePosition = 0d;
                    }
                    TimeSpan.TryParse(strDuration, out mediaDuration);
                    TimeSpan Position = TimeSpan.FromMilliseconds(mediaDuration.TotalMilliseconds * continuePosition);
                    label1.Text = continueSafeFileName;
                    label2.Text = string.Format 
                        ("{0:00}:{1:00}:{2:00} / {3:00}:{4:00}:{5:00}"
                        ,Position.Hours,Position.Minutes,Position.Seconds,mediaDuration.Hours,mediaDuration.Minutes,mediaDuration.Seconds);
                }
                else
                {
                    label1.Text = continueFileName;
                    label2.Text = "not exist";
                    button2.Dispose();
                    button4.Dispose();
                }
            }
            else
            {
                label1.Text = lastfileLog + " not exist.";
                label2.Text = "";
                button2.Dispose();
                button4.Dispose();
            }
        }
        //New
        private void Button1_Click(object sender, EventArgs e)
        {
            newfileopen = true;
            exitProgram = false;
            Dispose();
        }
        //Continue
        private void Button2_Click(object sender, EventArgs e)
        {
            newfileopen = false;
            exitProgram = false;
            Dispose();
        }
        //Close
        private void Button3_Click(object sender, EventArgs e)
        {
            exitProgram = true;
            Dispose();
        }
        //Restart
        private void Button4_Click(object sender, EventArgs e)
        {
            continuePosition = 0;
            newfileopen = false;
            exitProgram = false;
            Dispose();
        }
    }
}
