﻿using System.Windows;
namespace CuteMP4
{
    /// <summary>
    /// App.xaml の相互作用ロジック
    /// </summary>
    /// 
    public partial class App : Application
    {
        public static string AppDir = "";
        public static string CommandLineArgs { get; private set; } = "";
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            AppDir = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetEntryAssembly().Location);
            if (e.Args.Length == 0)
                return;
            CommandLineArgs = e.Args[0];
        }
    }
}
