﻿using System;
using System.Windows.Forms;
namespace CuteMP4
{
    public partial class Form_init_display_size : Form
    {
        public double size_rate;
        private double Rate;

        public Form_init_display_size(double size)
        {
            InitializeComponent();
            size = Math.Round(size, 2);
            trackBar_rate.ValueChanged += TrackBar_rate_ValueChanged;
            trackBar_rate.Value = (int)(size * 1000);
            size_rate = size;
            if (size == 0) labelRate.Text = "Full Screen"; else labelRate.Text = "x  " + size.ToString();
        }
         private void TrackBar_rate_ValueChanged(object sender, EventArgs e)
        {
            Rate = trackBar_rate.Value / 1000d;
            Rate = Math.Round(Rate, 2);
            if (Rate == 0) labelRate.Text = "Full Screen"; else labelRate.Text = "x  " + Rate.ToString();
        }
        private void Button_Ok(object sender, EventArgs e)
        {
            Rate = trackBar_rate.Value / 1000d;
            size_rate = Math.Round(Rate, 2);
            this.Close();
        }
        private void ButtonReset_Click(object sender, EventArgs e)
        {
            trackBar_rate.Value = 1000;
        }
    }
}
